Skip to main content
Topic: System requirements (Read 171 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

System requirements

I've been a long time Foobar user on a XP platform, but now replacing all my kit.  I cannot find a definitive statement anywhere of the system requirements for running latest versions of Foobar2000.  Will it run OK on Windows 10 Home 64-bit platform; and if so, what version of Foobar2000 should I download?

Re: System requirements

Reply #1
Yes. Latest.

*goes back to drinking tea*

Re: System requirements

Reply #2
Ta!  I prefer coffee . . .

SimplePortal 1.0.0 RC1 © 2008-2018